- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 61e73871-5a4b-428d-b908-5a6c50304eae
    creation_time: 2023-02-17T13:37:17.351489Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound50.c: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound50.c
    file_hash: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
    line: 27
    column: 0
    function: main
  loop_invariant:
    string: y * y - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e9962cc9-d527-46ce-935a-6007adb4604e
    creation_time: 2023-02-17T13:37:17.352194Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound50.c: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound50.c
    file_hash: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
    line: 28
    column: 0
    function: main
  location_invariant:
    string: (y * y) - 2 * x + y == 0
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: c9414fcb-57a2-4624-a852-be9fbc8bdf46
    creation_time: 2023-02-17T13:37:17.352292Z
    producer:
      name: V2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/ps2-ll_valuebound50.c
      input_file_hashes:
        c/nla-digbench-scaling/ps2-ll_valuebound50.c: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/ps2-ll_valuebound50.c
    file_hash: c64519b027f84aaa6a30cfc5331268c119119293d8d39650b6d0c4f1af71d8d4
    line: 37
    column: 0
    function: main
  location_invariant:
    string: (y*y) - 2*x + y == 0
    type: assertion
    format: C

